# Define required providers
terraform {
required_version = ">= 0.14.0"
  required_providers {
    openstack = {
      source  = "terraform-provider-openstack/openstack"
      version = "~> 1.53.0"
    }
  }
}

# Configure the OpenStack Provider
provider "openstack" {
  cloud = "${var.cloud_name}"
}

provider "openstack" {
  cloud = "${var.cloud2_name}"
  alias = "STO3MT"
}

provider "openstack" {
  cloud = "${var.cloud3_name}"
  alias = "STO4MT"
}
